{ pkgs, lib, config, ... }: {
  home.activation.retroarch-config-link = lib.hm.dag.entryAfter ["writeBoundary"] ''
    run test -d $HOME/.config/retroarch || \
      ln -s $VERBOSE_ARG \
        ${builtins.toPath /mnt/nas0/noe/games/retroarch} \
        $HOME/.config/retroarch
  '';

  home.packages = [
    (pkgs.retroarch.withCores (
      cores: with cores; [
        ppsspp
        snes9x
        dolphin
        mupen64plus
        desmume
        vba-m
      ] ++ (if pkgs.system == "x86_64-linux" then [
        # stuff that doesn't happen on ARM
        pcsx2
      ] else [])
    ))
  ];
}
