{ pkgs, ... }: pkgs.appimageTools.wrapType2 rec {
  pname = "beyond-all-reason";
  version = "1.2988.0";

  src = pkgs.fetchurl {
    url = "https://github.com/beyond-all-reason/BYAR-Chobby/releases/download/v${version}/Beyond-All-Reason-${version}.AppImage";
    hash = "sha256-ZJW5BdxxqyrM2TJTO0SBp4BXt3ILyi77EZx73X8hqJE=";
  };

  extraPkgs = pkgs: with pkgs; [
    SDL2
    openal
    fuse3
    gtk3
    nss
    binutils
  ];

  nativeBuildInputs = [
    pkgs.copyDesktopItems
  ];

  desktopItems = [
    (pkgs.makeDesktopItem {
      name = "Beyond All Reason";
      exec = pname;
      icon = pname;
      desktopName = pname;
      type = "Applications";
      comment = "Open Source RTS game";
      categories = [
        "Game"
      ];
    })
  ];
}
